import request from '@/utils/request'

// 查询工单流程节点步骤列表
export function listWfprocessactivity(query) {
  return request({
    url: '/system/wfprocessactivity/list',
    method: 'get',
    params: query
  })
}

// 查询工单流程节点步骤详细
export function getWfprocessactivity(processActivityId) {
  return request({
    url: '/system/wfprocessactivity/' + processActivityId,
    method: 'get'
  })
}

// 新增工单流程节点步骤
export function addWfprocessactivity(data) {
  return request({
    url: '/system/wfprocessactivity',
    method: 'post',
    data: data
  })
}

// 修改工单流程节点步骤
export function updateWfprocessactivity(data) {
  return request({
    url: '/system/wfprocessactivity',
    method: 'put',
    data: data
  })
}

// 删除工单流程节点步骤
export function delWfprocessactivity(processActivityId) {
  return request({
    url: '/system/wfprocessactivity/' + processActivityId,
    method: 'delete'
  })
}
